replicaCount: 1

imagePullSecrets: [ ]
nameOverride: ""
fullnameOverride: ""

frontend:
  repository: k8r.eu/justjanne/imghost
  pullPolicy: IfNotPresent
  tag: ""
  resources:
    limits:
      cpu: 500m
      memory: 512Mi
    requests:
      cpu: 10m
      memory: 64Mi

backend:
  repository: k8r.eu/justjanne/imghost
  pullPolicy: IfNotPresent
  tag: ""
  resources:
    limits:
      cpu: 4
      memory: 4Gi
    requests:
      cpu: 10m
      memory: 64Mi

oauth2:
  repository: k8r.eu/justjanne/keycloak-proxy
  pullPolicy: IfNotPresent
  tag: "v2.3.0-53-g88ed211"
  clientId: ""
  clientSecret: ""
  cookieSecret: ""
  discoveryUrl: "https://example.com/auth/realm/main"
  config:
    resources: [ ]

config:
  sizes:
    - suffix: "s"
      size:
        format: "cover"
        height: 90
        width: 90
    - suffix: ""
      size:
        format: "contain"
        height: 0
        width: 0
  quality:
    compressionQuality: 100
    samplingFactors: [1, 1]
  redis:
    address: "example.com"
    password: ""
    database: 0
  database:
    format: "postgres"
    url: "postgresql://user:pass@host/db"
  concurrency: 10
  uploadTimeout: "15m"
  baseUrl: "http://example.com"

metrics:
  enabled: false

volumes:
  data: |-
    emptyDir: {}
  cache: |-
    emptyDir: {}

service:
  type: ClusterIP

ingress:
  host: "example.com"
  path: "/"
  annotations: { }

podAnnotations: { }

podSecurityContext:
  fsGroup: 2000

securityContext:
  capabilities:
    drop:
      - ALL
  runAsNonRoot: true
  runAsUser: 1000

nodeSelector: { }

tolerations: [ ]

affinity: { }
